Package twisted :: Package cred :: Module authorizer :: Class DefaultAuthorizer

[show private | hide private]
[frames | no frames]

## Class DefaultAuthorizer

    OriginalAccessor --+
                       |
              Authorizer --+
                           |
                          DefaultAuthorizer

Known Subclasses:
  `OpenSSHConchAuthorizer`, `TicketAuthorizer`

I am an authorizer which requires no external dependencies.

I am implemented as a hash of Identities.

Method Summary
| ``__init__`(self, serviceCollection)` Create a hash of identities.
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| ``addIdentity`(self, identity)` Add an identity to me.
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer. (inherited from `Authorizer`)
| `get_application(self)` (inherited from `Authorizer`)
| ``getIdentityRequest`(self, name)` Get a Deferred callback registration object.
| `getServiceNamed(self, name)` (inherited from `Authorizer`)
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `removeIdentity(self, identityName)`
| ``setApplication`(self, app)` Set the application for this authorizer. (inherited from `Authorizer`)
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer. (inherited from `Authorizer`)

Method Details

### __init__(self, serviceCollection=None)
(Constructor)

Create a hash of identities.

### addIdentity(self, identity)

Add an identity to me.

### getIdentityRequest(self, name)

Get a Deferred callback registration object.

I return a `deferred<twisted.internet.defer.Deferred>` which will be called back to when an identity is discovered to be available (or errback for unavailable).

Generated by Epydoc 1.1 on Thu May 8 13:18:20 2003 | http://epydoc.sf.net